﻿html 
{
    height: auto;
    _height: 100%;
    min-height: 100%;
}

body
{
    background-color: #9e9e9e;    
    background: -moz-linear-gradient(top, #e6e6e6, #B8B8B8); /*For Firefox*/
    background: -webkit-gradient(linear, left top, right bottom, from(#e6e6e6), to(#B8B8B8)); /*For Chrome and Safari*/
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#e6e6e6', endColorstr='#B8B8B8'); /*For IE*/
    font-size: .75em;
    font-family: Helvetica;
    margin: 0;
    padding: 0;
    color: #696969;
    height: 100%;
    background-repeat: no-repeat;   
}

a:link
{
    
    /*text-decoration: underline;*/
}

/*
a:visited
{
    color: #505abc;
}
*/

a:hover
{
    color: #1d60ff;
    text-decoration: none;
}
a:active
{
    color: #12eb87;
}

p, ul
{
    margin-bottom: 10px;
    line-height: 1.6em;
}

/* HEADINGS   
----------------------------------------------------------*/
h1, h2, h3, h4, h5, h6
{
    font-size: 1.5em;
    color: #0D07B5;
    font-family: Helvetica;
}

h1
{
    font-size: 2.0em;
    font-weight: bold;
    padding-bottom: 0;
    margin-top: 0;
    margin-bottom: 0;
    vertical-align: middle;    
}
h2
{
    font-size: 1.8em;
    margin: 0px;
}
h3
{
    font-size: 1.2em;
}
h4
{
    font-size: 1.1em;
}
h5, h6
{
    font-size: 1em;
}

/* this rule styles <h2> tags that are the 
first child of the left and right table columns */
.rightColumn > h1, .rightColumn > h2, .leftColumn > h1, .leftColumn > h2
{
    margin-top: 0;
}

img
{
	border-style:none;
}

label
{
	font-weight:bold;
}

fieldset
{
	border-style:groove;
	padding:5px 10px 9px;
	width:auto;
}

/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

/* you can specify a greater or lesser percentage for the 
page width. Or, you can specify an exact pixel width. */
.page
{
    width: 95%;
    margin-left: auto;
    margin-right: auto;
}

div#header
{
    position: relative;
    margin-top: 10px;
    margin-bottom: 10px;
    color: #000;
    padding: 0;
    height: 50px;
}


#main
{
    padding: 10px 10px 15px 10px;
    background-color: #fff;
    margin-bottom: 50px;
    border: 1px solid gray;   
    height: 90%;
    /* _height: 1px; only IE6 applies CSS properties starting with an underscore */
}

#footer
{
    color: #999;
    padding: 10px 0;
    text-align: center;
    line-height: normal;
    margin: 0;
    font-size: .9em;
}

/* TAB MENU   
----------------------------------------------------------*/
ul#menu
{
    margin: 0;
    padding: 0;
    list-style-type: none;
    width: auto;    
    position: relative;
    display: block;
    height: 30px;
    font-size: 12px;
    font-weight: bold;
    /*background: transparent url(../../Content/Images/nav_bg.jpg) repeat-x top left;*/
    font-family: Helvetica;
    /*border-bottom: 1px solid #000000;*/
    /*border-top: 1px solid #000000;*/
}

ul#menu li
{
    display: block;
    float: left;
    margin: 0;
    width: auto;
    list-style: none;
    background-color:Gray;
    margin-right:5px;
    border:outset;
    border-color:#731997;
    border-width:thick;
}

/*
ul#menu li#greeting
{
    padding: 5px 5px;
    font-weight: bold;
    text-decoration: none;
    line-height: 2.8em;
    color: #fff;
}
*/

ul#menu li a
{
    display: block;
    float: left;
    color: white;
    text-decoration: none;
    font-weight: bold;
    padding: 8px 20px 0 20px;
}

ul#menu li a:hover
{
   /*background-color: #FFFFFF; */
    height: 22px;
    color: #731997;
}

ul#menu li a.current
{
    display: inline;
    height: 22px;
    background: transparent url(../../Content/Images/nav_bg.jpg) 0px -30px no-repeat;    
    float: left;
    margin: 0;
}

/* FORM LAYOUT ELEMENTS   
----------------------------------------------------------*/

fieldset 
{
    margin: 1em 0;
    padding: 1em;
    border: 1px solid #CCC;
}

fieldset p 
{
    margin: 2px 12px 10px 10px;
}

legend 
{
    font-size: 1.1em;
    font-weight: 600;
    padding: 2px 4px 8px 4px;
}


input[type="text"] 
{
    width: 200px;
    border: 1px solid #CCC;
}

input[type="password"] 
{
    width: 200px;
    border: 1px solid #CCC;
}


/* TABLE
----------------------------------------------------------*/
/*
table 
{  
  border: solid 1px #e8eef4;
  border-collapse: collapse;
}

table td 
{  
  padding: 5px;  
  border: solid 1px #e8eef4;
}

table th
{
  padding: 6px 5px;
  text-align: left;
  background-color: #e8eef4; 
  border: solid 1px #e8eef4;   
}
*/

table td
{
    /*border-bottom: solid 1px Black;*/
}

table.hidden td
{
    border: none;
}

table.list
{
    margin-top: 5px;
    border:1px Solid black;                 /*#742d8c;*/
    width:100%;
}

table.list th
{
	background-color: #5E5E5E;
	color: white;
	text-align: left;
	border:1px solid black;
}

table.list td
{
    background-color: #DEDEDE;
    border:1px solid black;
}


.odd 
{
   background-color: #bbb;
}


/*Answer table style*/
table.answers
{
	border: thin solid black;
	border-bottom: none;
	background-color:White;
}

table.answers th
{
	background-color:#742D8C;
	color:white;
}

/*table.answers tr td
{
	border-top:thin solid black;
}
*/

/*Service request table style*/
table.serviceRequest
{
	border: thin solid black;
	background-color:White;
	padding-bottom:5px;
}

table.serviceRequest th
{
	background-color:#742D8C;
	color:white;
}

table.serviceRequest tr td
{
	padding:5px 10px 5px 10px;
}

/*Survey list table style*/
#surveyList th
{
	cursor:pointer;
}

#userList th
{
	cursor:pointer;
}



/* MISC  
----------------------------------------------------------*/
.clear
{
    clear: both;
}

.error
{
    color:Red;
}

#menucontainer
{
    margin-top:15px;
}

div#title
{
    display:block;
    float:left;
    text-align:left;
}

div#siteTitle
{
    float: left;    
}

div#siteTitle h1
{
    font-family: Helvetica;
    /*font-weight: 100;*/
    font-weight: bold;
    font-size: xx-large;
    font-size: 2.5em;
    padding-bottom: 0;
    margin-top: 8px;
    margin-bottom: 0;
    margin-left: 14px;
    vertical-align: middle; 
}

div#logindisplay
{
    float: right;
    width: 400px;
    vertical-align: middle;  
}

#logindisplay
{
    font-size:1.1em;
    display:block;
    text-align:right;
    margin:10px;
    color:Purple;
      
}

#logindisplay a:link
{
    color: #0D07B5;
    text-decoration: underline;
}

#logindisplay a:visited
{
    color: white;
    text-decoration: underline;
}

#logindisplay a:hover
{
    color: white;
    text-decoration: underline;
}

div#pager p
{
    margin: 0px;
}

/* Styles for app launcher
-----------------------------------------------------------*/
div#appGrid
{
    margin: 15px 15px 15px 15px;
    padding-right: 15px; 
    height: 100%;
    width: 100%;
    text-align: center;
    
}

table#appGridTable
{
    table-layout: fixed;
    width: 95%;         
    border-style: none;
}

table#appGridTable tbody
{
    width: inherit;
}

table#appGridTable tr.iconRow td
{
    width: 100%;
    height: 80px;       
}

table#appGribTable tr.captionRow td
{
    width: 100%;
    height: 10px;
    text-align: center;     
}

table#appGridTable td
{
    width: 20%;
    border: transparent;    
}


/* Styles for validation helpers
-----------------------------------------------------------*/
.field-validation-error
{
    color: #ff0000;
}

.field-validation-valid
{
    display: none;
}

.input-validation-error
{
    border: 1px solid #ff0000;
    background-color: #ffeeee;
    color: Red;
}

.validation-summary-errors
{
    font-weight: bold;
    color: #ff0000;
}

.validation-summary-valid
{
    display: none;
}

.warning 
{
    color:Red;
}

/* Styles for editor and display helpers
----------------------------------------------------------*/
.display-label,
.editor-label,
.display-field,
.editor-field
{
    margin: 0.5em 0;
}

.text-box
{
    width: 30em;
}

.text-box.multi-line
{
    height: 6.5em;
}

.tri-state
{
    width: 6em;
}

textarea
{
    width:99.5%;
    font-family:Arial;
    overflow:auto;
}



/* Styling for PO Info list table
----------------------------------------------*/

fieldset#POInfoFieldset
{
    width:75%;
}


table.POInfoTable
{
    margin: 2px 25px 6px 2px;
    font-size:large;
}

table.POInfoTable td
{
    font-size:inherit;
    color:#5C5C5C;
}

table.POInfoTable th
{
    text-align:justify;
    padding-right:10px;
    
}

.headerRow
{
}

.dataRow
{
}

.subDataRow td
{
    text-align:left;
}
.subDataRow td
{
    padding-left:50px;
    background-color:Red;
    height:inherit;
}


table#poItemTable td
{
    color:#5C5C5C;
    font-size:15px;
}

table#poItemTable tr:nth-type(2n)
{
    background-color:Red;
}

table#poItemTable tr:nth-of-type(2n-1) td
{
    background-color:#B8B8B8;
}

table#itemShipData
{
    
}

table#itemShipData th
{
    
}

table#itemShipData td
{
    background-color:transparent;
    border-color:black;
    text-align:left;
    padding-left:0px;
}

/*
Changes buttons on update display to green, red, and yellow
*/

#ConfirmButton 
{
   background: #0D07B5;
   padding: 4px 8px;
   border-width: 0px;
   -webkit-border-radius: 12px;
   -moz-border-radius: 12px;
   -ms-border-radius: 12px;
   border-radius: 12px;
   -webkit-box-shadow: rgba(0,0,0,1) 0 1px 0;
   -moz-box-shadow: rgba(0,0,0,1) 0 1px 0;
   -ms-box-shadow: rgba(0,0,0,1) 0 1px 0;
   box-shadow: rgba(0,0,0,1) 0 1px 0;
   text-shadow: rgba(0,0,0,.4) 0 1px 0;
   color: white;
   font-size: 16px;
   font-family: Georgia, serif;
   text-decoration: none;
   vertical-align: middle;
}
   
#ConfirmButton:hover {
   border-top: 1px solid #3e9c3e;
   background: #581FD1;
   background: -webkit-gradient(linear, left top, left bottom, from(#9C75F0), to(#0D07B5));
   background: -webkit-linear-gradient(top, #443EF7, #0D07B5);
   background: -moz-linear-gradient(top, #443EF7, #0D07B5);
   background: -ms-linear-gradient(top, #443EF7, #0D07B5);
   background: -o-linear-gradient(top, #443EF7, #0D07B5);
   filter: progid:DXImageTransform.Microsoft.gradient(startColorStr='#443EF7', EndColorStr='#0D07B5');
   background: linear-gradient(top,#443EF7, #0D07B5);
}

#ConfirmButton:active {
   border-top-color: #1b435e;
   background: #1b435e;
}
   
 

#UpdateStatus {
   background: #0D07B5;
   padding: 4px 8px;
   border-width: 0px;
   -webkit-border-radius: 12px;
   -moz-border-radius: 12px;
   border-radius: 12px;
   -webkit-box-shadow: rgba(0,0,0,1) 0 1px 0;
   -moz-box-shadow: rgba(0,0,0,1) 0 1px 0;
   box-shadow: rgba(0,0,0,1) 0 1px 0;
   text-shadow: rgba(0,0,0,.4) 0 1px 0;
   color: white;
   font-size: 16px;
   font-family: Georgia, serif;
   text-decoration: none;
   vertical-align: middle;
   cursor:pointer;
}

#UpdateStatus:hover 
{
   background: #443EF7;
   background: -webkit-gradient(linear, left top, left bottom, from(#443EF7), to(#0D07B5));
   background: -webkit-linear-gradient(top, #443EF7, #0D07B5);
   background: -moz-linear-gradient(top, #443EF7, #0D07B5);
   background: -ms-linear-gradient(top, #443EF7, #0D07B5);
   background: -o-linear-gradient(top, #443EF7, #0D07B5);
 }
 
 
#UpdateStatus:active
{
   border-top-color: #1b435e;
   background: #1b435e;
}
   
#RequestToCancel 
{
   background: #0D07B5;
   
   
   padding: 4px 8px;
   border-width: 0px;
   -webkit-border-radius: 12px;
   -moz-border-radius: 12px;
   border-radius: 12px;
   -webkit-box-shadow: rgba(0,0,0,1) 0 1px 0;
   -moz-box-shadow: rgba(0,0,0,1) 0 1px 0;
   box-shadow: rgba(0,0,0,1) 0 1px 0;
   text-shadow: rgba(0,0,0,.4) 0 1px 0;
   color: white;
   font-size: 16px;
   font-family: Georgia, serif;
   text-decoration: none;
   vertical-align: middle;
}
   
#RequestToCancel:hover 
{
   background: #fa0000;
   background: -webkit-gradient(linear, left top, left bottom, from(#443EF7), to(#0D07B5));
   background: -webkit-linear-gradient(top, #443EF7, #0D07B5);
   background: -moz-linear-gradient(top, #443EF7, #0D07B5);
   background: -ms-linear-gradient(top, #443EF7, #0D07B5);
   background: -o-linear-gradient(top, #443EF7, #0D07B5);
}
   
#RequestToCancel:active 
{
   border-top-color: #1b435e;
   background: #1b435e;
}

#CancelWarning
{
    color: Red;
    font-size: large;
}

.transparent
{
    background-color:transparent;
    border-color:transparent;
}

